Create Vast Video

Capture video from VAST

Creates a video object in the system and returns the medium id.

  • vast_url URL of the VAST file

  • render_url URL of the ad rendering service

  • device Device type for the VAST file (optional)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Expected request payload

The request body must be populated with the video characteristics:

  • vast_url: The URL of the VAST XML file. Must be compliant with the industry specification.
  • render_url: A URL for a page where the VAST-based ad is rendered and can be captured.
  • device: This is an optional parameter. By default is desktop, however, for mobile-only ads, please specify it as mobile.
{
  "vast_url": "string",
  "render_url": "string",
  "device": "desktop"
}

Example of a successful response

The response contains two properties:

  • The media_id: serves as an identifier for the video media (to be used on any operation for the video)
{
  "media_id": "0d1aeafa-d360-47c2-afaf-c6149281c202"
}
Body Params
uri
required
length between 1 and 2083
uri
required
length between 1 and 2083
string
enum
Defaults to desktop
Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json